<form nz-form [formGroup]='form' style='margin-bottom: 8px'>
    <div nz-row [nzGutter]='[30,30]'>
        <!--    Form tìm kiếm -->
        <div nz-col nzXs='24' nzLg='12'>
            <mb-select [mbDataSelects]='positionGroupList' formControlName='pgrId'
                       mbKeyLabel='label'
                       mbKeyValue='value'
                       [mbType]="isSubmitted && form.controls['pgrId'].errors ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && form.controls['pgrId'].errors != null"
                       [mbErrors]="form.controls['pgrId'].errors"
                       [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.label.pgrId' | translate }}]"
                       mbPlaceholder="--{{'staffAbs.label.positionGroup' | translate }}--"
                       mbLabelText="{{'staffAbs.label.positionGroup' | translate}} <span class='label__required'>*</span>"></mb-select>
        </div>
        <div nz-col nzXs='24' nzLg='12'>
            <mb-input-text
                [mbType]="isSubmitted && form.controls['addedDays'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['addedDays'].errors != null"
                [mbErrors]="form.controls['addedDays'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.label.addedDays' | translate }}]"
                appNumberInput
                formControlName='addedDays'
                mbPlaceholderText="--{{'staffAbs.label.addedDays' | translate }}--"
                mbLabelText="{{'staffAbs.label.addedDays' | translate}} <span class='label__required'>*</span>"
            ></mb-input-text>
        </div>
        <div nz-col nzXs='24' nzLg='12'>
            <mb-date-picker
                [mbType]="(isSubmitted && form.controls['fromDate'].errors ||  form.errors?.rangeDateError) ? 'error' : 'default'"
                [mbShowError]="(isSubmitted && form.controls['fromDate'].errors || form.errors?.rangeDateError) != null"
                [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
                [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.label.fromDate' | translate }},
          { errorName: 'rangeDateError', errorDescription: 'staffAbs.validate.rangeDate.pareDate' | translate:
        {'fromDate': 'staffAbs.label.fromDate' | translate, 'toDate': 'staffAbs.label.toDate' | translate}}
          ]"
                mbPlaceholderText="--{{'staffAbs.label.fromDate' | translate}}--"
                mbLabelText="{{'staffAbs.label.fromDate' | translate}} <span class='label__required'>*</span>"
                formControlName='fromDate'></mb-date-picker>
        </div>
        <div nz-col nzXs='24' nzLg='12'>
            <mb-date-picker
                [mbType]="isSubmitted && form.controls['toDate'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['toDate'].errors != null"
                [mbErrors]="form.controls['toDate'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.label.toDate' | translate }}]"
                mbPlaceholderText="--{{'staffAbs.label.toDate' | translate}}--"
                mbLabelText="{{'staffAbs.label.toDate' | translate}}"
                formControlName='toDate'></mb-date-picker>
        </div>
        <!--    End Form tìm kiếm-->
    </div>
</form>
